package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class RemunerationPrevisioning.
 * @see sicura.entities.RemunerationPrevisioning
 * @author Hibernate Tools
 */
@Stateless
public class RemunerationPrevisioningHome {

	private static final Log log = LogFactory.getLog(RemunerationPrevisioningHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(RemunerationPrevisioning transientInstance) {
		log.debug("persisting RemunerationPrevisioning instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(RemunerationPrevisioning persistentInstance) {
		log.debug("removing RemunerationPrevisioning instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public RemunerationPrevisioning merge(RemunerationPrevisioning detachedInstance) {
		log.debug("merging RemunerationPrevisioning instance");
		try {
			RemunerationPrevisioning result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public RemunerationPrevisioning findById(Integer id) {
		log.debug("getting RemunerationPrevisioning instance with id: " + id);
		try {
			RemunerationPrevisioning instance = entityManager.find(RemunerationPrevisioning.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
